SVG symbol export adds invalid stroke parameters
Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23405

Description

Exporting a SVG based symbol results in invalid SLD, as follow:

         <se:PolygonSymbolizer>

            <se:Fill>

              <se:GraphicFill>

                <se:Graphic>

                  <se:ExternalGraphic>

                    <se:OnlineResource xlink:type="simple" xlink:href="transport/amenity=airport.svg"/>

                    <se:Format>image/svg+xml</se:Format>

                  </se:ExternalGraphic>

                  <se:Size>71</se:Size>

                  <se:SvgParameter name="stroke">#000000</se:SvgParameter>

                  <se:SvgParameter name="stroke-width">4</se:SvgParameter>

                </se:Graphic>

              </se:GraphicFill>

            </se:Fill>

          </se:PolygonSymbolizer>

The SvgParameters are not part of the Graphic nor ExternalGraphic, it's simply not possible to setup a stroke color for SVGs in SE, at

most one can apply a color replacement (which could be used for the fill)

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
